Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.stun
Class StunServerAddress

    java.lang.Object
      org.jivesoftware.openfire.stun.StunServerAddress

    public class StunServerAddress

extends Object

Provides easy abstract to store STUN Server Addresses and Ports

Constructor Summary
`StunServerAddress(String server, String port)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getPort()` Get STUN port
`String` | `getServer()` Get the Host Address

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StunServerAddress

    public StunServerAddress(String server,
                             String port)

Method Detail

### getServer

    public String getServer()

  Get the Host Address

  Returns:
    Host Address

### getPort

    public String getPort()

  Get STUN port

  Returns:
    the Server Port

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.